http_client 1.5.1
http_client: ^1.5.1 copied to clipboard

A platform-independent HTTP client API supporting browser, console, and curl (for SOCKS proxy).

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add http_client

With Flutter:

 $ flutter pub add http_client

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  http_client: ^1.5.1

Alternatively, your editor might support dart pub get or flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:http_client/http_client.dart';
11
likes
130
pub points
89%
popularity

Publisher

agilord.com

A platform-independent HTTP client API supporting browser, console, and curl (for SOCKS proxy).

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

buffer, executor, http

More

Packages that depend on http_client